Project

General

Profile

Tâche #34094

Scénario #33961: Traitement express MEN (13-15)

EOLE 2.9 : logrotate en erreur sur Amon

Added by Joël Cuissinat about 2 years ago. Updated about 2 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Start date:
04/25/2022
Due date:
% Done:

100%

Remaining (hours):
0.0

Description

L'erreur est signalée dans le test Jenkins : https://dev-eole.ac-dijon.fr/jenkins/job/2.9.0/job/test-checkinstance-amon-2.9.0-amd64/

Sur le module, ça donne :

root@amon:~# logrotate -f /etc/logrotate.conf 
logrotate_script: ligne 2: /etc/init.d/rsyslog: Aucun fichier ou dossier de ce type
error: error running shared postrotate script for '/var/log/rsyslog/local/e2guardian/*.log '
2022/04/25 12:55:21| WARNING: BCP 177 violation. Detected non-functional IPv6 loopback.
2022/04/25 12:55:21| ERROR: Directive 'dns_v4_first' is obsolete.
2022/04/25 12:55:22| WARNING: BCP 177 violation. Detected non-functional IPv6 loopback.
2022/04/25 12:55:22| ERROR: Directive 'dns_v4_first' is obsolete.


Related issues

Related to Distribution EOLE - Tâche #31409: Utiliser /usr/lib/rsyslog/rsyslog-rotate dans logrotate Fermé 12/14/2020
Related to eole-proxy - Tâche #18977: Vérification des paramètres squid Fermé 02/03/2017
Related to eole-proxy - Scénario #34095: EOLE 2.9 : La directive cache_peer_domain devrait être remplacée Terminé (Sprint) 05/09/2022 06/03/2022

Associated revisions

Revision 69aeb26f (diff)
Added by Joël Cuissinat about 2 years ago

Call /usr/lib/rsyslog/rsyslog-rotate instead of rsyslog service

Ref: #31409
Ref: #34094

Revision d9b15391 (diff)
Added by Joël Cuissinat about 2 years ago

Nettoyage des options obsolètes dans common-squid2.conf (ref: #34094)

History

#1 Updated by Joël Cuissinat about 2 years ago

  • Related to Tâche #31409: Utiliser /usr/lib/rsyslog/rsyslog-rotate dans logrotate added

#2 Updated by Joël Cuissinat about 2 years ago

D'après le wiki squid l'option est toujours d'actualité mais la commande squid -k parse donne :

2022/04/25 14:18:58| Processing: dns_v4_first on
2022/04/25 14:18:58| ERROR: Directive 'dns_v4_first' is obsolete.
2022/04/25 14:18:58| dns_v4_first : Remove this line. Squid no longer supports preferential treatment of DNS A records.

Et ça collerait avec le code visible sur github

#3 Updated by Joël Cuissinat about 2 years ago

  • Related to Tâche #18977: Vérification des paramètres squid added

#4 Updated by Joël Cuissinat about 2 years ago

  • Related to Scénario #34095: EOLE 2.9 : La directive cache_peer_domain devrait être remplacée added

#5 Updated by Joël Cuissinat about 2 years ago

  • Status changed from Nouveau to À valider
  • Assigned To set to Joël Cuissinat

#6 Updated by Joël Cuissinat about 2 years ago

  • Status changed from À valider to Fermé
  • % Done changed from 0 to 100
  • Remaining (hours) set to 0.0

L'erreur a disparu (mais il reste un warning #34096).

Also available in: Atom PDF